Package com.ocient.jdbc

# Class XGDate

java.lang.Object
java.util.Date
java.sql.Date
com.ocient.jdbc.XGDate

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Date>`

public class XGDate extends Date

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XGDate(int year, int month, int day)`
Deprecated.
`XGDate(long date)`
`XGDate(XGTimestamp ts)`
`XGDate(Date date)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`static Date`
`from(Instant instant)`
`int`
`getDate()`
Deprecated.
`int`
`getDay()`
Deprecated.
`int`
`getMonth()`
Deprecated.
`int`
`getTimezoneOffset()`
Deprecated.
`int`
`getYear()`
Deprecated.
`int`
`hashCode()`
`static long`
`parse(String s)`
Deprecated.
`void`
`setDate(int date)`
Deprecated.
`void`
`setMonth(int month)`
Deprecated.
`void`
`setYear(int year)`
Deprecated.
`long`
`toCppFormat()`
`String`
`toGMTString()`
Deprecated.
`Instant`
`toInstant()`
`LocalDate`
`toLocalDate()`
`String`
`toLocaleString()`
Deprecated.
`String`
`toString()`
`static long`
`UTC(int year, int month, int date, int hrs, int min, int sec)`
Deprecated.
`static Date`
`valueOf(String s)`
`static Date`
`valueOf(LocalDate date)`

### Methods inherited from class java.sql.Date

`getHours, getMinutes, getSeconds, setHours, setMinutes, setSeconds, setTime`

### Methods inherited from class java.util.Date

`after, before, clone, compareTo, getTime`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XGDate

public XGDate(Date date)

### XGDate

@Deprecated public XGDate(int year, int month, int day)
Deprecated.

### XGDate

public XGDate(long date)

### XGDate

public XGDate(XGTimestamp ts)

## Method Details

### from

public static Date from(Instant instant)

### parse

@Deprecated public static long parse(String s)
Deprecated.

### UTC

@Deprecated public static long UTC(int year, int month, int date, int hrs, int min, int sec)
Deprecated.

### valueOf

public static Date valueOf(LocalDate date)

### valueOf

public static Date valueOf(String s)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Date`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Date`

### getDate

@Deprecated public int getDate()
Deprecated.

Overrides:
  `getDate` in class `Date`

### getDay

@Deprecated public int getDay()
Deprecated.

Overrides:
  `getDay` in class `Date`

### getMonth

@Deprecated public int getMonth()
Deprecated.

Overrides:
  `getMonth` in class `Date`

### getTimezoneOffset

@Deprecated public int getTimezoneOffset()
Deprecated.

Overrides:
  `getTimezoneOffset` in class `Date`

### getYear

@Deprecated public int getYear()
Deprecated.

Overrides:
  `getYear` in class `Date`

### setDate

@Deprecated public void setDate(int date)
Deprecated.

Overrides:
  `setDate` in class `Date`

### setMonth

@Deprecated public void setMonth(int month)
Deprecated.

Overrides:
  `setMonth` in class `Date`

### setYear

@Deprecated public void setYear(int year)
Deprecated.

Overrides:
  `setYear` in class `Date`

### toGMTString

@Deprecated public String toGMTString()
Deprecated.

Overrides:
  `toGMTString` in class `Date`

### toInstant

public Instant toInstant() throws UnsupportedOperationException

Overrides:
  `toInstant` in class `Date`
Throws:
  `UnsupportedOperationException`

### toLocalDate

public LocalDate toLocalDate()

Overrides:
  `toLocalDate` in class `Date`

### toLocaleString

@Deprecated public String toLocaleString()
Deprecated.

Overrides:
  `toLocaleString` in class `Date`

### toString

public String toString()

Overrides:
  `toString` in class `Date`

### toCppFormat

public long toCppFormat()